<?php
if (!defined('ABSPATH')) {
    die('Access denied.');
}
?>
<div class="wrap">
    <h1><?php _e('Export', 'e2pdf'); ?></h1>
    <hr class="wp-header-end">
    <?php $this->render('blocks', 'notifications'); ?>
    <h3 class="nav-tab-wrapper wp-clearfix">
        <a href="<?php echo $this->helper->get_url(array('page' => 'e2pdf')); ?>" class="nav-tab <?php if (!($this->get->get('action'))) { ?>nav-tab-active<?php } ?>"><?php echo _e('Export', 'e2pdf'); ?></a>
    </h3>

    <div class="wrap e2pdf-view-area e2pdf-rel">
        <form method="post" target="_blank" action="<?php echo $this->helper->get_url(array('page' => 'e2pdf', 'action' => 'export')); ?>" class="e2pdf-export-form">
            <input type="hidden" name="_nonce" value="<?php echo wp_create_nonce('e2pdf_post') ?>">
            <div class="e2pdf-form-loader"><span class="spinner"></span></div>
            <div class="e2pdf-grid">
                <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10 e2pdf-inline-radio e2pdf-align-right e2pdf-export-disposition">
                    <?php
                    $this->render('field', 'radio', array(
                        'field' => array(
                            'name' => 'disposition',
                        ),
                        'value' => 'inline',
                        'options' => array(
                            'attachment' => __('Download', 'e2pdf'),
                            'inline' => __('View', 'e2pdf')
                        )
                    ));
                    ?>
                </div>
            </div>

            <div class="e2pdf-grid">
                <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                    <?php _e('E2Pdf Template', 'e2pdf'); ?>:
                </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                    <?php
                    $this->render('field', 'select', array(
                        'field' => array(
                            'name' => 'id',
                            'class' => 'e2pdf-export-template e2pdf-w100 e2pdf-onload',
                            'disabled' => 'disabled'
                        ),
                        'value' => 0,
                        'options' => $this->controller->get_active_templates(),
                    ));
                    ?>
                    <div id="e2pdf-export-template-actions" class="e2pdf-ib e2pdf-w100 e2pdf-align-right"></div>
                </div>
            </div>
            <div class="e2pdf-grid e2pdf-export-item e2pdf-hide">
                <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                    <?php _e('Dataset', 'e2pdf'); ?>:
                </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                    <div class="e2pdf-ib e2pdf-w100">
                        <div class="e2pdf-ib e2pdf-w70 e2pdf-pr5">
                            <?php
                            $datasets = $this->controller->get_datasets();
                            $this->render('field', 'select', array(
                                'field' => array(
                                    'name' => 'dataset',
                                    'disabled' => 'disabled',
                                    'class' => 'e2pdf-export-dataset e2pdf-w100'
                                ),
                                'value' => 0,
                                'options' => !empty($datasets) ? $datasets : array(
                                    '' => __('--- Select ---', 'e2pdf')
                                        ),
                            ));
                            ?>
                        </div><div class="e2pdf-ib e2pdf-w30 e2pdf-pl5">
                            <?php
                            $this->render('field', 'text', array(
                                'field' => array(
                                    'name' => 'search',
                                    'disabled' => 'disabled',
                                    'class' => 'e2pdf-w100 e2pdf-export-dataset-search',
                                    'field' => 'dataset',
                                    'placeholder' => 'Search...',
                                ),
                            ));
                            ?>
                        </div>
                        <div class="e2pdf-ib e2pdf-w100 e2pdf-export-dataset-actions"></div>
                    </div>
                </div>
                <div class="e2pdf-ib e2pdf-w100 e2pdf-export-item-actions"></div>
            </div>


            <div class="e2pdf-grid e2pdf-export-item e2pdf-hide">
                <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                    <?php _e('Dataset2', 'e2pdf'); ?>:
                </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                    <div class="e2pdf-ib e2pdf-w100">
                        <div class="e2pdf-ib e2pdf-w70 e2pdf-pr5">
                            <?php
                            $datasets = $this->controller->get_datasets();
                            $this->render('field', 'select', array(
                                'field' => array(
                                    'name' => 'dataset2',
                                    'disabled' => 'disabled',
                                    'class' => 'e2pdf-export-dataset e2pdf-w100'
                                ),
                                'value' => 0,
                                'options' => !empty($datasets) ? $datasets : array(
                                    '' => __('--- Select ---', 'e2pdf')
                                        ),
                            ));
                            ?>
                        </div><div class="e2pdf-ib e2pdf-w30 e2pdf-pl5">
                            <?php
                            $this->render('field', 'text', array(
                                'field' => array(
                                    'name' => 'search',
                                    'disabled' => 'disabled',
                                    'class' => 'e2pdf-w100 e2pdf-export-dataset-search',
                                    'field' => 'dataset2',
                                    'placeholder' => 'Search...',
                                ),
                            ));
                            ?>
                        </div>
                        <div class="e2pdf-ib e2pdf-w100 e2pdf-export-dataset-actions"></div>
                    </div>
                </div>
                <div class="e2pdf-ib e2pdf-w100 e2pdf-export-item-actions"></div>
            </div>
            <div class="e2pdf-export-options e2pdf-grid e2pdf-hide">
                <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                    <div class="e2pdf-grid">
                        <div class="e2pdf-grid e2pdf-export-shortcodes">
                            <div class='e2pdf-ib e2pdf-w100'>
                                <h4 class="e2pdf-center"><?php _e('Shortcodes', 'e2pdf'); ?></h4>
                            </div>
                            <div id="e2pdf-template-shortcode-wr" class='e2pdf-ib e2pdf-w100'>
                                <div class="e2pdf-w100 e2pdf-center"><?php _e("Shortcode for Download Link with dynamic dataset", 'e2pdf'); ?></div>
                                <input id="e2pdf-template-shortcode" readonly="readonly" name="e2pdf-template-shortcode" class="e2pdf-center e2pdf-w100" type="text" value=''>
                            </div>
                            <div class='e2pdf-dataset-shortcode-wr e2pdf-ib e2pdf-w100 e2pdf-hide'>
                                <div class="e2pdf-w100 e2pdf-center"><?php _e("Shortcode for Download Link with current dataset", 'e2pdf'); ?></div>
                                <input readonly="readonly" name="e2pdf-dataset-shortcode" class="e2pdf-dataset-shortcode e2pdf-center e2pdf-w100" type="text" value=''>
                            </div>
                        </div>

                        <div class="e2pdf-grid">
                            <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                                <?php _e('PDF Name', 'e2pdf'); ?>:
                            </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                                <?php
                                $this->render('field', 'text', array(
                                    'field' => array(
                                        'name' => 'options[name]',
                                        'placeholder' => __('PDF Name', 'e2pdf'),
                                        'class' => 'e2pdf-w100 e2pdf-export-option'
                                    ),
                                    'value' => '',
                                ));
                                ?>
                            </div>
                        </div>


                        <div class="e2pdf-grid">
                            <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                                <?php _e('PDF Open Password', 'e2pdf'); ?>:
                            </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                                <?php
                                $this->render('field', 'text', array(
                                    'field' => array(
                                        'name' => 'options[password]',
                                        'placeholder' => __('Password', 'e2pdf'),
                                        'class' => 'e2pdf-w100 e2pdf-export-option'
                                    ),
                                    'value' => '',
                                ));
                                ?>
                            </div>
                        </div>

                        <div class="e2pdf-grid">
                            <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                                <?php _e('User', 'e2pdf'); ?>:
                            </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                                <?php
                                $this->render('field', 'select', array(
                                    'field' => array(
                                        'name' => 'options[user_id]',
                                        'class' => 'e2pdf-w100 e2pdf-export-option'
                                    ),
                                    'value' => '0',
                                    'options' => $this->view->users,
                                ));
                                ?>
                            </div>
                        </div>

                        <div class="e2pdf-grid">
                            <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                                <?php _e('Flatten', 'e2pdf'); ?>:
                            </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                                <?php
                                $this->render('field', 'select', array(
                                    'field' => array(
                                        'name' => 'options[flatten]',
                                        'class' => 'e2pdf-w100 e2pdf-export-option'
                                    ),
                                    'value' => '0',
                                    'options' => array(
                                        '0' => __('No', 'e2pdf'),
                                        '1' => __('Yes', 'e2pdf'),
                                        '2' => __('Full', 'e2pdf'),
                                    ),
                                ));
                                ?>
                            </div>
                        </div>
                        <div class="e2pdf-grid">
                            <div class="e2pdf-ib e2pdf-w30 e2pdf-pr10">
                                <?php _e('Format', 'e2pdf'); ?>:
                            </div><div class="e2pdf-ib e2pdf-w70 e2pdf-pl10">
                                <?php
                                $this->render('field', 'select', array(
                                    'field' => array(
                                        'name' => 'options[format]',
                                        'class' => 'e2pdf-w100 e2pdf-export-option'
                                    ),
                                    'value' => '0',
                                    'options' => array(
                                        'pdf' => __('pdf', 'e2pdf'),
                                        'jpg' => __('jpg', 'e2pdf')
                                    ),
                                ));
                                ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="e2pdf-center">
                <input type="submit" form-id="e2pdf-export-form" disabled="disabled" class="e2pdf-export-form-submit button-primary button-large" value="<?php _e('Export', 'e2pdf'); ?>">
            </div>
        </form>
    </div>
</div>
<?php $this->render('blocks', 'debug-panel'); ?>



